=== debian/changelog ===
cantor (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the armhf, i386, and powerpc architectures from
    cantor-backend-scilab, as it will not be supported anymore soon on those
    architectures. (Closes: #973703)
  * Find also Python 3.9 and Python 3.10; patch find-newer-python.diff.
    (Closes: #972764)
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Re-export upstream signing key without extra signatures.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Nov 2020 13:02:39 +0100

cantor (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 08:38:45 +0200
