## cantor 20.12.0

=== debian/changelog ===
cantor (4:20.12.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Bumped build deps to always build with latest analitza.
    - Keep cantor-dev package.
    - cantor-backend-maxima: Do not depend on maxima on ricsv64, where for
      now it is not available.

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Dec 2020 16:10:56 +0000

cantor (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Drop superseeded patch find-newer-python.diff.
  * Deregister all the /etc/xdg/*.knsrc files, moved.
  * Update upstream metadata.

 -- Norbert Preining <norbert@preining.info>  Tue, 15 Dec 2020 12:13:05 +0900

cantor (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Drop now obsolete find-newer-python.diff
  * debian/control: Fix invalid Recommends field.
  * Move knsrc files to new standard location and unregister from
    /etc/xdg/
  * Install new header files in cantor-dev

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:22:10 +0000

cantor (4:20.08.3-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Nov 2020 00:21:24 +0100

cantor (4:20.08.3-2) experimental; urgency=medium

  * Team upload.
  * Enable the Julia backend, only on amd64 for now: (Closes: #808001)
    - add a new cantor-backend-julia package, mentioning it in suggests and
      descriptions
    - add the julia, and libjulia-dev build dependencies
    - remove debian/not-installed, no more needed now
  * Make the discount build verbose; patch discount-build-verbose.diff.
  * Update lintian overrides.
  * Export CFLAGS including CPPFLAGS during build, so the discount copy is
    configured, and built with all the right build flags.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 19 Nov 2020 09:36:42 +0100

cantor (4:20.08.3-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:31:10 +0100

cantor (4:20.08.3-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Bumped build deps to always build with latest analitza.
    - Keep cantor-dev package.
    - Build with Julia on supported architectures, and re-add backend package.
    - Breaks/Replaces and maintscipt for config files moved from main cantor
      package to their respective backends.
    - Temporarily demote maxima to a recommends, while it is not available
      on all architectures.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Nov 2020 11:24:34 +0000

cantor (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:46:58 +0000
