=== debian/control ===
--- 
+++ 
@@ -3,32 +3,34 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5.0~),
+Build-Depends: cmake (>= 3.12~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
-               libanalitza-dev (>> 4:15.08),
+               julia [amd64],
+               libanalitza-dev (>> 4:20.12.0~),
                libglib2.0-dev,
-               libkf5archive-dev (>= 5.49.0~),
-               libkf5completion-dev (>= 5.49.0~),
-               libkf5config-dev (>= 5.49.0~),
-               libkf5coreaddons-dev (>= 5.49.0~),
-               libkf5crash-dev (>= 5.49.0~),
-               libkf5doctools-dev (>= 5.49.0~),
-               libkf5i18n-dev (>= 5.49.0~),
-               libkf5iconthemes-dev (>= 5.49.0~),
-               libkf5kio-dev (>= 5.49.0~),
-               libkf5newstuff-dev (>= 5.49.0~),
-               libkf5parts-dev (>= 5.49.0~),
-               libkf5pty-dev (>= 5.49.0~),
-               libkf5syntaxhighlighting-dev (>= 5.49.0~),
-               libkf5texteditor-dev (>= 5.49.0~),
-               libkf5textwidgets-dev (>= 5.49.0~),
-               libkf5xmlgui-dev (>= 5.49.0~),
+               libjulia-dev [amd64],
+               libkf5archive-dev (>= 5.57.0~),
+               libkf5completion-dev (>= 5.57.0~),
+               libkf5config-dev (>= 5.57.0~),
+               libkf5coreaddons-dev (>= 5.57.0~),
+               libkf5crash-dev (>= 5.57.0~),
+               libkf5doctools-dev (>= 5.57.0~),
+               libkf5i18n-dev (>= 5.57.0~),
+               libkf5iconthemes-dev (>= 5.57.0~),
+               libkf5kio-dev (>= 5.57.0~),
+               libkf5newstuff-dev (>= 5.57.0~),
+               libkf5parts-dev (>= 5.57.0~),
+               libkf5pty-dev (>= 5.57.0~),
+               libkf5syntaxhighlighting-dev (>= 5.57.0~),
+               libkf5texteditor-dev (>= 5.57.0~),
+               libkf5textwidgets-dev (>= 5.57.0~),
+               libkf5xmlgui-dev (>= 5.57.0~),
                liblapack3,
                libluajit-5.1-dev [i386 amd64],
                libmarkdown2-dev,
-               libpoppler-qt5-dev,
+               libpoppler-qt5-dev (>= 0.62.0~),
                libqalculate-dev,
                libqt5svg5-dev (>= 5.8.0~),
                libqt5xmlpatterns5-dev (>= 5.8.0~),
@@ -38,18 +40,19 @@
                python3-dev,
                qtbase5-dev (>= 5.8.0~),
                r-base-core,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
 
 Package: cantor
 Architecture: any
 Section: math
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: cantor-backend-qalculate, texlive-binaries, texlive-latex-base
-Suggests: cantor-backend-kalgebra,
+Suggests: cantor-backend-julia [amd64],
+          cantor-backend-kalgebra,
           cantor-backend-lua [i386 amd64],
           cantor-backend-maxima,
           cantor-backend-octave,
@@ -75,6 +78,22 @@
   * Scilab (cantor-backend-scilab)
   * Qalculate! (cantor-backend-qalculate)
   * Lua (cantor-backend-lua)
+  * Julia (cantor-backend-julia)
+ .
+ This package is part of the KDE education module.
+
+Package: cantor-backend-julia
+Architecture: amd64
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Julia backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using the Julia programming language
+ (https://julialang.org) in Cantor.
  .
  This package is part of the KDE education module.
 
@@ -113,7 +132,7 @@
 Package: cantor-backend-maxima
 Architecture: any
 Section: math
-Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
+Depends: maxima [!riscv64], ${misc:Depends}, ${shlibs:Depends}
 Description: Maxima backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -145,9 +164,7 @@
 Package: cantor-backend-python3
 Architecture: any
 Section: math
-Depends: python3,
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: python3, ${misc:Depends}, ${shlibs:Depends}
 Breaks: libcantor-pythonbackend (<< 4:20.04.2~)
 Replaces: libcantor-pythonbackend (<< 4:20.04.2~)
 Description: Python3 backend for Cantor
@@ -229,3 +246,17 @@
  package for numerical computations (https://www.scilab.org) in Cantor.
  .
  This package is part of the KDE education module.
+
+Package: cantor-dev
+Architecture: any
+Section: libdevel
+Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: interface for mathematical applications - development files
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package is part of the KDE education module.
+ .
+ This package contains development files for cantor.
