=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
     ../latexentry.cpp
     ../placeholderentry.cpp
     ../horizontalruleentry.cpp
+    ../hierarchyentry.cpp
     ../worksheetcursor.cpp
     ../searchbar.cpp
     ../actionbar.cpp
