=== debian/changelog ===
cantor (4:20.12.1-5) unstable; urgency=medium

  [ Norbert Preining ]
  * Add missing breaks (Closes: #988283)

 -- Norbert Preining <norbert@preining.info>  Wed, 19 May 2021 16:16:20 +0900

cantor (4:20.12.1-4) unstable; urgency=medium

  [ John Scott ]
  * Patch the Sage backend to work around issue in the SageMath package.
    (Addresses: #972346)
  * Update docs to reflect that Sage is in Debian now. (Closes: #980318)

 -- Norbert Preining <norbert@preining.info>  Tue, 02 Feb 2021 11:03:04 +0900

cantor (4:20.12.1-3) unstable; urgency=medium

  * Revert changes of previous version, not buildable.

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Jan 2021 20:02:07 +0900

cantor (4:20.12.1-2) experimental; urgency=medium

  * Enable the Julia backend for other archs where Julia is built.

 -- Norbert Preining <norbert@preining.info>  Fri, 15 Jan 2021 13:05:22 +0900

cantor (4:20.12.1-1) experimental; urgency=medium

  * Update Maintainer name part.
  * New upstream release (20.12.1).
  * Add symbols file.
  * Add symbols helper to d/rules dh invocation.

 -- Norbert Preining <norbert@preining.info>  Tue, 12 Jan 2021 10:02:17 +0900

cantor (4:20.12.0-2) experimental; urgency=medium

  * Ship development files and split out shared library into separate
    packages.
  * Remove Maxy from uploaders, thanks for your work. Add myself.

 -- Norbert Preining <norbert@preining.info>  Tue, 05 Jan 2021 07:20:05 +0900
