=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: cantor
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.12~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.49.0~),
                gettext,
                julia [amd64],
-               libanalitza-dev (>> 4:20.12.0~),
+               libanalitza-dev (>> 4:15.08),
                libglib2.0-dev,
                libjulia-dev [amd64],
                libkf5archive-dev (>= 5.57.0~),
@@ -39,12 +40,12 @@
                pkg-kde-tools (>> 0.15.15),
                python3-dev,
                qtbase5-dev (>= 5.8.0~),
-               r-base-core,
+               r-base-core
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/cantor
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/cantor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/cantor.git
 
 Package: cantor
 Architecture: any
@@ -59,7 +60,7 @@
           cantor-backend-python3,
           cantor-backend-r,
           cantor-backend-sage,
-          cantor-backend-scilab [amd64 arm64 ppc64el s390x],
+          cantor-backend-scilab [amd64 arm64 ppc64el s390x]
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: interface for mathematical applications
@@ -82,18 +83,34 @@
  .
  This package is part of the KDE education module.
 
-Package: cantor-backend-julia
-Architecture: amd64
-Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Julia backend for Cantor
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package provides the backend for using the Julia programming language
- (https://julialang.org) in Cantor.
+Package: libcantorlibs28
+Architecture: any
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: cantor (<< 4:20.12.0-2~)
+Breaks: cantor (<< 4:20.12.0-2~)
+Description: interface for mathematical applications - shared library
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the shared library for Cantor.
+ .
+ This package is part of the KDE education module.
+
+Package: libcantor-dev
+Architecture: any
+Section: devel
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         libcantorlibs28 (=  ${binary:Version})
+Description: interface for mathematical applications - development files
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the development headers for Cantor.
  .
  This package is part of the KDE education module.
 
@@ -132,7 +149,7 @@
 Package: cantor-backend-maxima
 Architecture: any
 Section: math
-Depends: maxima [!riscv64], ${misc:Depends}, ${shlibs:Depends}
+Depends: maxima, ${misc:Depends}, ${shlibs:Depends}
 Description: Maxima backend for Cantor
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
@@ -225,9 +242,6 @@
  This package provides the backend for using the Sage Mathematics Software
  (https://www.sagemath.org) in Cantor.
  .
- Please note that sagemath is not available in Debian, so you need to manually
- install it for this package to work.
- .
  This package is part of the KDE education module.
 
 Package: cantor-backend-scilab
@@ -247,16 +261,17 @@
  .
  This package is part of the KDE education module.
 
-Package: cantor-dev
-Architecture: any
-Section: libdevel
-Depends: cantor (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: interface for mathematical applications - development files
- Cantor is an application to allow you to you use your favorite mathematical
- applications from within an elegant worksheet interface. It provides dialogs
- to assist with common tasks and allows you to share your worksheets
- with others.
- .
- This package is part of the KDE education module.
- .
- This package contains development files for cantor.
+Package: cantor-backend-julia
+Architecture: amd64
+Section: math
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Julia backend for Cantor
+ Cantor is an application to allow you to you use your favorite mathematical
+ applications from within an elegant worksheet interface. It provides dialogs
+ to assist with common tasks and allows you to share your worksheets
+ with others.
+ .
+ This package provides the backend for using the Julia programming language
+ (https://julialang.org) in Cantor.
+ .
+ This package is part of the KDE education module.
