=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
 
 %:
-	dh $@ --with kf5
+	dh $@ --with kf5,pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
